Skip to main content
Back to API List Initiates the training of the Knowledge Graph.
PropertyValue
MethodPOST
Endpointhttps://{{host}}/api/public/bot/{{BotID}}/faqs/train
Content Typeapplication/json
Authorizationauth: {{JWT}} — See How to generate the JWT Token.
API ScopeApp Builder: Train FAQ; Admin Console: Test and Train > Train FAQ

Path Parameters

ParameterDescriptionRequired
hostThe environment URL. For example, https://platform.kore.aiRequired
BotIdBot ID or Stream ID, accessible under General Settings on the App Builder.Required

Sample Request

curl -X POST \
  https://{{host}}/api/public/bot/{{bot_id}}/faqs/train \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
  -H 'content-type: application/json' \
  -d '{
    "language": "en"
  }'

Body Parameters

ParameterDescriptionRequired
languageThe bot language code. For example, en for English and de for German.Required

Sample Response

{
    "_id": "ds-1xxxxxxd-31xx-5xx1-83xx-0dxxxxxxxxxx",
    "message": "in-progress",
    "status": "in-progress",
    "__v": 0,
    "lastModifiedBy": "u-adxxxxxx-exx1-5xxd-axxc-21xxxxxxxxxx",
    "modifiedOn": "2022-07-29T08:20:31.569Z"
}